TO-7ZIP(1)

NAME
to-7zip - converts .Z, .lzo, .zip, .rar, .gz, .bz2, .bz3, and .zst files to 7zip format

SYNOPSIS
to-7zip [-h(elp)] [-(IPv)4] [-(IPv)6] [-d(elete_original)] [-k(eep_smallest)] [-m(ax_compress)] [-n(o_overwrite)] [-t(imestamp_retain)] file...

DESCRIPTION
to-7zip recompresses files compressed with the compress, lzop, zip, gzip, bzip2, bzip3, and/or zstd utilities into 7zip format. The newly compressed files will usually have a .7z or a .t7z extension.

OPTIONS

-h  Print help and quit.

-4  Prefer IPv4 when downloading a URL.

-6  Prefer IPv6 when downloading a URL.

-d  After each file is compressed, delete the original.

-k  Once a file is successfully recompressed, delete the larger of the original file or the new one. This option maximizes disk space savings and is incompatible with the -d option.

-m  Compress more, but at the expense of increased CPU time and memory usage.

-n  Do not overwrite the target .7z or .t7z file if it already exists.

-t  Make the timestamp of new files match those of the old files.

SEE ALSO
7za(1), compress(1), lzop(1), zip(1), gzip(1), bzip2(1), bzip3(1), zstd, rar2tarcat(1), zip2tarcat(1), wget(1)

COPYRIGHT
Copyright (C) 2006-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.